Download it now!
Bug 47285 - Sorting with reference is broken
Summary: Sorting with reference is broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-13 11:25 UTC by Regina Henschel
Modified: 2012-03-16 13:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
data to be sorted (10.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-13 11:25 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2012-03-13 11:25:53 UTC
Created attachment 58389 [details]
data to be sorted

Open attached document in LO version 3.5.0, version <= Build ID: f952331-4eb4f62-09af278

Go to sheet "values" and mark row 2 to 9.

Data > Sort. Make sure you are sorting without "include label". Sort using column B.

You get the data sortiert by values as expected.
Close, but do not save.

Now do the same in LO3.5.1RC3.
This sorting produces a lot of #REF! errors.

The data to be sorted are references to the sheet "names". Using different sheets to allow references in data has worked fine in previous versions.
Comment 1 Markus Mohrhard 2012-03-15 13:34:50 UTC
I will look into it.

I suspect some hick-up after my reference update rework.
Comment 2 Markus Mohrhard 2012-03-15 14:24:55 UTC
Solved.
Comment 3 Not Assigned 2012-03-15 14:35:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2118ec3630fe12ff2a663c94421780870f264e83

update the relatice refs after the absolute refs, fdo#47285
Comment 4 Not Assigned 2012-03-16 13:03:25 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14ed2c61066b38d812bb68c4c1f02f8cb7c97f4d&g=libreoffice-3-5

update the relatice refs after the absolute refs, fdo#47285


It will be available in LibreOffice 3.5.2.